$(".floats").on("keypress", function (event) {
    if (event.which != 46 && (event.which < 47 || event.which > 59)) {
        event.preventDefault();
        if ((event.which == 46) && ($(this).indexOf('.') != -1)) {
            event.preventDefault();
        }
    }
});

$(".nummbers").keypress(function (e) {
    if (e.which != 8 && e.which != 0 && (e.which < 48 || e.which > 57)) {
        event.preventDefault();
    }
});

$('body').on('click', '.buttons-excel', function () {

    $(".changeenddate").hide();
    $(".changeenddatee").show();
    location.reload();
});

$('body').on('change', '.checkcolumn', function () {
    var table = $(this).attr('data-table');
    var tablecol = $(this).attr('data-tablecol');
    var tablecolval = $.trim($(this).val());
    var tableid = $(this).attr('data-tableid');
    var parentid = $(this).attr('data-parentid');
    var parentcol = $(this).attr('data-parentcol');
    var thisinput = $(this);
    $.post('importContractControllerAjax.php?do=checkcolumn', {
        table: table, tablecol: tablecol, tablecolval: tablecolval,
        tableid: tableid, parentid: parentid, parentcol: parentcol
    }, function (result) {
        var placeholder = $(thisinput).attr('placeholder');
        if (result != 0) {
            if (result == 1)
                alert(placeholder + ' مضاف من قبل  ');
            else
                alert(placeholder + ' مضاف من قبل لجمعية ' + result);
            $(thisinput).val("");
        }
    });

});

$('body').on('click', '.carformajax', function () {
    if ($("#carformajax").valid() === true) {
        $('.carformajax').prop("disabled", true);
        $('.carformajax').css("background", "red");
        $("#carformajax").submit();
    } else {
        $('.carformajax').prop("disabled", false);
    }
});

$('form#carformajax').submit(function (e) {
    e.preventDefault();
    var action = $('#carformajax').attr('action');
    var dosave = $('#carformajax').attr('data-dosave');
    var formData = new FormData(this);
    $.ajax({
        url: action + dosave,
        type: 'POST',
        dataType: 'json',
        data: formData,
        success: function (data) {
            if (data > 0) {
                window.location = action + '?do=show';
            } else {

                window.location = action;
            }
        },
        cache: false,
        contentType: false,
        processData: false
    });

});


selectRefresh2();
function selectRefresh2() {
    $('select.selectnew').select2({
        width: '100%'
    });
}

fetch_data();
function fetch_data(start_date = '', end_date = '', del = '', data1 = '', data2 = '', data3 = '', chID = '') {
    var linkcon = $("#getajaxdata").attr('data-controll');
    var table = $('#getajaxdata');
    var dataTable = $('#getajaxdata').DataTable({
        "processing": true,
        "serverSide": true,
        "lengthMenu": [[50,100, 200, 300, 400, 500, -1], [50,100, 200, 300, 400, 500, "All"]],
        "language": {
            "emptyTable": "لا يوجد بيانات متاحه",
            "infoEmpty": "لا يوجد بيانات متاحه",
            "infoFiltered": "(filtered1 from _MAX_ total records)",
            "lengthMenu": "العدد _MENU_",
            "search": "بحث:",
            "zeroRecords": "No matching records found",
            "paginate": {
                "previous": "السابق",
                "next": "التالى",
                "last": "الاخير",
                "first": "الاول"
            }
        },
        dom: 'Bfrtip',
        buttons: [
            {
                extend: 'copyHtml5',
                exportOptions: {
                    columns: [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13]
                }
            },
            {
                extend: 'csvHtml5',
                exportOptions: {
                    columns: [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13]
                }
            },
            {
                extend: 'print',
                exportOptions: {
                    columns: [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13]
                }
            },
            {
                extend: 'excelHtml5',
                exportOptions: {
                    columns: [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13]
                }
            },
            {
                extend: 'pdfHtml5',
                exportOptions: {
                    columns: [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13]
                }
            },
            'colvis'
        ],
        "dom": "<'row' <'col-md-12'B>><'row'<'col-md-6 col-sm-12'l><'col-md-6 col-sm-12'f>r><'table-scrollable't><'row'<'col-md-5 col-sm-12'i><'col-md-7 col-sm-12'p>>",
        "order": [[0, "desc"]],
        "displayLength": 50,
        "columnDefs": [
            { "className": "dt-center", "targets": "_all" }
        ],
        "ajax": {
            url: linkcon,
            type: "POST",
            data: {
                start_date: start_date,
                end_date: end_date,
                del: del,
                data1: data1
            }
        }
    });

}

$('body').on('change', '.searchdata', function () {
    var start_date = $('#start_date').val();
    var end_date = $('#end_date').val();
    var del = $("#del").attr("checked") ? 1 : '';
    var data1 = $("select[name=data1]").val();
    $('#getajaxdata').DataTable().destroy();
    fetch_data(start_date, end_date, del, data1);

});


getselectjoin();

function getselectjoin() {
    $(".getselectjoin").select2({
        allowClear: true,
        // minimumInputLength: 1,
        multiple: false,
        quietMillis: 100,
        ajax: {
            url: 'importContractControllerAjax.php?do=getselectjoin',
            dataType: 'json',
            type: "POST",
            data: function (term) {
                var itr = $(this).attr('data-itr');
                var parentcol = $(this).attr('data-parent');
                var parentid = $('#' + parentcol + itr).val();
                var placeholder = $('#' + parentcol + itr).attr('data-placeholder');
                if (parentcol != '' && parentid == '') {
                    alert(' يجب اختيار  ' + placeholder + ' اولآ');
                    return false;
                }
                return {
                    searchTerms: term,
                    tablesearch: $(this).attr("data-search"),
                    table: $(this).attr('data-table'),
                    join: $(this).attr('data-join'),
                    filter: $(this).attr('data-filter'),
                    parentid: parentid,
                    parentcol: parentcol,
                };
            },
            results: function (data) {
                return { results: data };
            }
        },
        formatResult: function (data) {
            return '<span>' + data.text + '</span >';

        },
        initSelection: function (element, callback) {
            var item = element.val().split(':');
            var data = { id: item[0], text: item[1] };
            callback(data);
        },
        //dropdownCssClass: "bigdrop", // apply css that makes the dropdown taller
    });
}

$('body').on('click', '.removeteble', function () {
    var id = $(this).attr('data-id');
    var table = $(this).attr('data-table');
    if (confirm('هل انت متاكد من الحذف ؟')) {
        var thisis = $(this);
        $.post('importContractControllerAjax.php?do=removeteble', { id: id, table: table }, function (data) {
            if (data == 1) {
                thisis.parent().parent().remove();
            } else {
                alert('حدث خطأ أثناء التنفيذ');
            }
        });
    } else {
        alert('لماذا ضغطت إلغاء؟ يجب أن تكون قد أكدت');
    }
});


$('body').on('click', '.addappend', function () {
    var container = $(this).attr('data-container');
    var itr = Number($('#' + container + 'Itr').val());
    itr++;
    $.post('beneficiariesController.php?do=addappend', { itr: itr, container: container }, function (result) {
        $('#' + container + 'Tbl').append(result);
        $('#' + container + 'Itr').val(itr);
        // selectRefresh2();
    });
});

$('body').on('click', '.removecontroller', function () {
    var id = $(this).attr('data-id');
    var controll = $(this).attr('data-controll');
    if (confirm('هل انت متاكد من الحذف ؟')) {
        var thisis = $(this);
        $.post(controll + '.php?do=removecontroller', { id: id }, function (data) {
            if (data == 1) {
                thisis.parent().parent().remove();
            } else {
                alert('حدث خطأ أثناء التنفيذ');
            }
        });
    } else {
        alert('لماذا ضغطت إلغاء؟ يجب أن تكون قد أكدت');
    }
});

$('body').on('click', '.removeAllBen', function () {
    var id = $(this).attr('data-id');
    var controll = $(this).attr('data-controll');
    if (confirm('هل انت متاكد من حذف كل مستفيدين الجمعية وإعاناتهم؟')) {
        var thisis = $(this);
        $.post(controll + '.php?do=removeAllBen', { id: id }, function (data) {
            if (data == 1) {
                alert('تم حذف المستفيدين بنجاح');
                location.reload();
            } else {
                alert('حدث خطأ أثناء التنفيذ');
            }
        });
    } else {
        alert('لماذا ضغطت إلغاء؟ يجب أن تكون قد أكدت');
    }
});


getselectmultiple();
function getselectmultiple() {
    $(".getselectmultiple").select2({
        allowClear: true,
        // minimumInputLength: 2,
        multiple: true,
        quietMillis: 100,
        ajax: {
            url: 'beneficiariesController.php?do=getselectmultiple',
            dataType: 'json',
            type: "POST",
            data: function (term) {
                var tableid = $('#beneficiariesid').val();
                return {
                    searchTerms: term,
                    tablesearch: $(this).attr("data-search"),
                    table: $(this).attr('data-table'),
                    del: $(this).attr('data-del'),
                    id: tableid,
                };
            },
            results: function (data) {
                return { results: data };
            }
        },
        formatResult: function (data) {
            return '<span>' + data.text + '</span >';

        },
        initSelection: function (element, callback) {
            var item = element.val().split(':');
            var data = { id: item[0], text: item[1] };
            callback(data);
        },
        //dropdownCssClass: "bigdrop", // apply css that makes the dropdown taller
    });
}

$(".getselect").select2({
    allowClear: true,
    placeholder: "اختر ",
    // minimumInputLength: 1,
    multiple: false,
    quietMillis: 100,
    ajax: {
        url: 'importContractControllerAjax.php?do=getselect',
        dataType: 'json',
        type: "POST",
        data: function (term) {
            var itr = $(this).attr('data-itr');
            var parentcol = $(this).attr('data-parent');
            var parentid = $('#' + parentcol + itr).val();
            var placeholder = $('#' + parentcol + itr).attr('data-placeholder');
            if (parentcol != '' && parentid == '') {
                alert(' يجب اختيار  ' + placeholder + ' اولآ');
                return false;
            }
            return {
                searchTerms: term,
                tablesearch: $(this).attr("data-search"),
                table: $(this).attr('data-table'),
                del: $(this).attr('data-del'),
                filter: $(this).attr('data-filter'),
                parentcol: parentcol,
                parentid: parentid,
            };
        },
        results: function (data) {
            return { results: data };
        }
    },
    formatResult: function (data) {
        return '<span>' + data.text + '</span >';

    },
    initSelection: function (element, callback) {
        var item = element.val().split(':');
        var data = { id: item[0], text: item[1] };
        callback(data);
    },
    //dropdownCssClass: "bigdrop", // apply css that makes the dropdown taller
});

$('body').on('click', '.delRow', function () {
    var itr = $(this).attr('data-itr');
    var table = $(this).attr('data-container');
    var thisis = $(this);
    if (confirm('هل انت متاكد من الحذف ؟')) {
        $(this).parent().parent().remove();
    } else {
        alert('لماذا ضغطت إلغاء؟ يجب أن تكون قد أكدت');
    }
});

$(".getselectparent").select2({
    allowClear: true,
    // minimumInputLength: 1,
    multiple: false,
    quietMillis: 100,
    ajax: {
        url: 'importContractControllerAjax.php?do=getselectparent',
        dataType: 'json',
        type: "POST",
        data: function (term) {
            var itr = $(this).attr('data-itr');
            var parentcol = $(this).attr('data-parent');
            var parentid = $('#' + parentcol + itr).val();
            var placeholder = $('#' + parentcol + itr).attr('data-placeholder');
            if (parentcol != '' && parentid == '') {
                alert(' يجب اختيار  ' + placeholder + ' اولآ');
                return false;
            }

            return {
                searchTerms: term,
                tablesearch: $(this).attr("data-search"),
                table: $(this).attr('data-table'),
                filter: $(this).attr('data-filter'),
                parentid: parentid,
                parentcol: parentcol,
            };
        },
        results: function (data) {
            return { results: data };
        }
    },
    formatResult: function (data) {
        return '<span>' + data.text + '</span >';

    },
    initSelection: function (element, callback) {
        var item = element.val().split(':');
        var data = { id: item[0], text: item[1] };
        callback(data);
    },
    //dropdownCssClass: "bigdrop", // apply css that makes the dropdown taller
});

$("#getselect").select2({
    allowClear: true,
    placeholder: "اختر الطالب",
    // minimumInputLength: 1,
    multiple: false,
    quietMillis: 100,
    ajax: {
        url: 'importContractControllerAjax.php?do=getselect',
        dataType: 'json',
        type: "POST",
        data: function (term) {
            return {
                searchTerms: term,
                tablesearch: $(this).attr("data-search"),
                table: $(this).attr('data-table'),
            };
        },
        results: function (data) {
            return { results: data };
        }
    },
    formatResult: function (data) {
        return '<span>' + data.text + '</span >';

    },
    initSelection: function (element, callback) {
        var item = element.val().split(':');
        var data = { id: item[0], text: item[1] };
        callback(data);
    },
    //dropdownCssClass: "bigdrop", // apply css that makes the dropdown taller
});
selectedit();
function selectedit() {
    $(".selectedit").each(function () {
        var table = $(this).attr('data-table');
        var tableid = $(this).attr('data-tableid');
        var tableidname = $(this).attr('data-tableidname');
        var search = $(this).attr('data-search');
        var tableval = Number($(this).val());
        var join = $(this).attr('data-join');
        var itr = $(this).attr('data-itr');
        if (tableval) {
            $.post('beneficiariesController.php?do=getselectdata', {
                table: table, search: search, join: join, tableval: tableval,
                tableid: tableid, itr: itr, tableidname: tableidname
            }, function (result) {
                var data = jQuery.parseJSON(result);
                if (tableidname == "guaranteetype")
                    $("#guarantee_type_id" + itr).select2("data", { id: tableval, text: data.texts });
                else
                    $("#" + tableidname + itr).select2("data", { id: tableval, text: data.texts });
            });
        }

    });
}

function selecteditMulti() {
    var id = Number($('#beneficiariesid').val());
    $.post('beneficiariesController.php?do=getMultipledit', { ids: id }, function (result) {
        var data = jQuery.parseJSON(result);
        $("#diseaseId").select2("data", data);
    });

}

function deldata() {

    var deldata = Number($('.deldata').val());
    if (deldata > 1) {
        $('input').attr('readonly', 'readonly');
        $('textarea').attr('readonly', 'readonly');
        $("select").attr("disabled", "disabled");

    }
}

function selectedit2() {
    $(".selectedit").each(function () {
        var ids = Number($(this).attr('data-id'));
        var texts = $(this).attr('data-text');
        var table = $(this).attr('data-table');
        $("#" + table).select2("data", { id: ids, text: texts });
    });

}

$('body').on('click', '.restall', function () {
    $('#getdata').html('');
    $("#restall").val(1);
    var cd = (new Date()).toISOString().split('T')[0];
    $("#start_date").val(cd);
    $("#end_date").val(cd);
    $("#clientid").val('').change();
    $("#restall").val(0);
});
function DataTablereload() {

    $('.reportstable').dataTable({});
}
